import json

def main():
    data = ['foo', {'bar':['baz', None, 1.0, 2], 'key': 'value', 10: 'ten'}]

    print(f"Данные для преобразования типа {type(data)}: {data}")

    # Данные в строку json
    data_json = json.dumps(data)
    assert type(data_json) == str
    print(f"После json.dump получили {type(data_json)}")
    print(data_json)

    # строка json в объект python
    python_data = json.loads(data_json)   
    assert type(python_data) == list
    print(f"После json.loads получили {type(python_data)}")
    print(python_data)

if __name__ == '__main__':
    main()